Bug 225358 - [PATCH] devel/git: Register www/p5-CGI dependency for GITWEB
Summary: [PATCH] devel/git: Register www/p5-CGI dependency for GITWEB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-21 14:57 UTC by Fabian Keil
Modified: 2018-04-20 14:39 UTC (History)
2 users (show)

See Also:
garga: merge-quarterly+


Attachments
devel/git: Register www/p5-CGI dependency for GITWEB (668 bytes, patch)
2018-01-21 14:57 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2018-01-21 14:57:55 UTC
Created attachment 189949 [details]
devel/git: Register www/p5-CGI dependency for GITWEB

Recent Perl versions no longer ship with the CGI module.
The attached patch adds the missing dependency for the GITWEB option.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-05 17:05:21 UTC
CGI was first released with perl 5.004, deprecated (will be CPAN-only) in v5.19.7 and removed from v5.21.0

Pass to maintainer of devel/git.
Comment 2 commit-hook freebsd_committer 2018-04-19 10:06:37 UTC
A commit references this bug:

Author: garga
Date: Thu Apr 19 10:05:45 UTC 2018
New revision: 467762
URL: https://svnweb.freebsd.org/changeset/ports/467762

Log:
  - Register p5-CGI dependency when GITWEB option is enabled [1]
  - Bump PORTREVISION since GITWEB is on by default
  - While here, unmute install command and make portlint happy

  PR:		225358 [1]
  Submitted by:	Fabian Kell <fk@fabiankeil.de> [1]
  MFH:		2018Q2
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/git/Makefile